# Driver sources 
COMMON_SRCS += mx_common.c
COMMON_SRCS += mx_instance.c
COMMON_SRCS += mx_lanai_command.c
COMMON_SRCS += mx_peer.c
COMMON_SRCS += mx_kraw.c
COMMON_SRCS += mx_lx.c
COMMON_SRCS += mx_lz.c

# debugging stuff
DEBUG_COMMON_SRCS += mx_debug.c

# ethernet
ETHER_COMMON_SRCS += mx_ether_common.c

# kernel lib support
KERNEL_LIB_COMMON_SRCS += mx_klib.c

# kernel lib
KERNEL_LIB_SRCS += mx__block.c
KERNEL_LIB_SRCS += mx__driver_interface.c
#KERNEL_LIB_SRCS += endpoint.c # useless ?
KERNEL_LIB_SRCS += mx__error.c
KERNEL_LIB_SRCS += mx__handle_map.c
KERNEL_LIB_SRCS += mx__internals.c
KERNEL_LIB_SRCS += mx__mcp_request_ring.c
KERNEL_LIB_SRCS += mx__memory_pool.c
KERNEL_LIB_SRCS += mx__partner.c
KERNEL_LIB_SRCS += mx__request.c
#KERNEL_LIB_SRCS += thread.c # useless except for windows ?
KERNEL_LIB_SRCS += mx__stack.c
KERNEL_LIB_SRCS += mx__lib.c
KERNEL_LIB_SRCS += mx__debug_dump.c
KERNEL_LIB_SRCS += mx__endpoint.c
KERNEL_LIB_SRCS += mx__sleep.c
#KERNEL_LIB_SRCS += mx__self.c # self communication disabled in the kernel lib
#KERNEL_LIB_SRCS += mx_buffered.c # not implemented
KERNEL_LIB_SRCS += mx_cancel.c
KERNEL_LIB_SRCS += mx_close_endpoint.c
KERNEL_LIB_SRCS += mx_compose_endpoint_addr.c
#KERNEL_LIB_SRCS += mx_create_rdma_window.c # not implemented
KERNEL_LIB_SRCS += mx_decompose_endpoint_addr.c
#KERNEL_LIB_SRCS += mx_destroy_rdma_window.c # not implemented
KERNEL_LIB_SRCS += mx_get_endpoint_addr.c
KERNEL_LIB_SRCS += mx_get_info.c
KERNEL_LIB_SRCS += mx_hostname_to_nic_id.c
#KERNEL_LIB_SRCS += mx_nic_id_to_hostname.c # empty
#KERNEL_LIB_SRCS += mx_ibarrier.c # not implemented
#KERNEL_LIB_SRCS += mx_ibcast.c # not implemented
KERNEL_LIB_SRCS += mx_ibuffered.c
KERNEL_LIB_SRCS += mx_init.c
KERNEL_LIB_SRCS += mx_context.c
KERNEL_LIB_SRCS += mx_connect.c
KERNEL_LIB_SRCS += mx_finalize.c
KERNEL_LIB_SRCS += mx_ipeek.c
KERNEL_LIB_SRCS += mx_iprobe.c
KERNEL_LIB_SRCS += mx_peek.c
KERNEL_LIB_SRCS += mx_probe.c
KERNEL_LIB_SRCS += mx_register_unexp_callback.c
KERNEL_LIB_SRCS += mx_irecv.c
KERNEL_LIB_SRCS += mx_isend.c
KERNEL_LIB_SRCS += mx_issend.c
KERNEL_LIB_SRCS += mx_open_endpoint.c
#KERNEL_LIB_SRCS += mx_rdma_read.c # not implemented
#KERNEL_LIB_SRCS += mx_rdma_write.c # not implemented
KERNEL_LIB_SRCS += mx_strerror.c
KERNEL_LIB_SRCS += mx_test.c
KERNEL_LIB_SRCS += mx_wait.c
KERNEL_LIB_SRCS += mx_wakeup.c
