/*************************************************************************
 * The contents of this file are subject to the MYRICOM MYRINET          *
 * EXPRESS (MX) NETWORKING SOFTWARE AND DOCUMENTATION LICENSE (the       *
 * "License"); User may not use this file except in compliance with the  *
 * License.  The full text of the License can found in LICENSE.TXT       *
 *                                                                       *
 * Software distributed under the License is distributed on an "AS IS"   *
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied.  See  *
 * the License for the specific language governing rights and            *
 * limitations under the License.                                        *
 *                                                                       *
 * Copyright 2003 - 2004 by Myricom, Inc.  All rights reserved.          *
 *************************************************************************/

#ifndef MX_NTDDK_H
#define MX_NTDDK_H

#define htons(x) RtlUshortByteSwap(x)
#define ntohs(x) RtlUshortByteSwap(x)
#define htonl(x) RtlUlongByteSwap(x)
#define ntohl(x) RtlUlongByteSwap(x)
#define mx_hton_u64(x) RtlUlonglongByteSwap(x)
#define mx_ntoh_u64(x) RtlUlonglongByteSwap(x)

typedef struct mx_instance_state mx_instance_state_t;
typedef struct mx_page_pin mx_page_pin_t;

struct mx_page_pin
{
  mcp_dma_addr_t dma;
  uint64_t va;
  PMDL mdl;
};

int mx_can_be_privileged(PIRP irp);

#endif
