/*
 * Default LF_ERROR implementation. Macro must be called
 * with 1 arguement in parenthesis.
 */

/*
 * prototypes
 */
void lf_error_print_nl (const char *fmt, ...);

#define LF_ERROR(p)                                 \
  do {                                              \
    fprintf(stderr, "%s:%d: ", __FILE__, __LINE__); \
    lf_error_print_nl p ;                           \
    goto except;                                    \
  } while (0)
